package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class ExperimentStats {

	protected Integer id;
	protected String name;
	protected Double value;
	
	public Integer getId() {
		return id;
	}
	
	public void setId(Integer id) {
		this.id = id;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public Double getValue() {
		return value;
	}
	
	//TODO: shouldn't be nan in result
	public void setValue(Double value) {
		if(value.equals(Double.NaN))
			this.value = -1.0;
		else this.value = value;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		long temp;
		temp = Double.doubleToLongBits(value);
		result = prime * result + (int) (temp ^ (temp >>> 32));
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ExperimentStats other = (ExperimentStats) obj;
		if (id != other.id)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (Double.doubleToLongBits(value) != Double
				.doubleToLongBits(other.value))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "ExperimentStats [id=" + id + ", name=" + name + ", value="
				+ value + "]";
	}
}
